// //// //// //// //// //// //// //// //// //// //// //// //// //// //// //////
// Project:     M
// File name:   version.h - contains the M version and patchlevel
// Purpose:
// Author:      Vadim Zeitlin
// Modified by:
// Created:     20.08.98
// CVS-ID:      $Id: Mversion.h,v 1.19 2001/02/16 20:43:45 vadz Exp $
// Copyright:   (c) 1998 Vadim Zeitlin <zeitlin@dptmaths.ens-cachan.fr>
// Licence:     M license
// //// //// //// //// //// //// //// //// //// //// //// //// //// //// //////

#ifndef   _M_VERSION_H
#define   _M_VERSION_H

// ----------------------------------------------------------------------------
// version info constants
// ----------------------------------------------------------------------------

/// version info
#define   M_VERSION_MAJOR   0
#define   M_VERSION_MINOR   62
#define   M_VERSION_RELEASE 0
#define   M_VERSION_STATUS  "" // "a"=alpha

/// short version string (it should always have this format!)
#define   M_VERSION         "0.62"

/// full version string
#define   M_VERSION_STRING  "0.62 'Mars'"

#endif  //_M_VERSION_H
